com.gemstone.gbjstats

## Class GbjHypericPluginGenerator

- java.lang.Object
- - com.gemstone.gbjstats.GbjHypericPluginGenerator

-     public class GbjHypericPluginGenerator
      extends java.lang.Object

  GbjHypericPluginGenerator generates an XML file that can be used by the VMware Hyperic system monitoring tool to recognize and monitor a GemStone environment that includes a GbxJmxCacheStatsMonitor program.

  The VMware Hyperic system monitoring tool uses specialized "plugins" to be able to recognize and manipulate its various servers and services. These plugins are either a single XML file, or a jar file that contains the XML file plus various code files that support the functionality defined in the XML file. GbjHypericPluginGenerator generates a compatible XML file that works with a specific stone, monitored by a an instance of GbxJmxCacheStatsMonitor running on a specific JMX port.

  Prior to running GbjHypericPluginGenerator, make sure that $GEMSTONE is set in the environment.

  To run GbjHypericPluginGenerator, execute:

  java -d64 com.gemstone.gbjstats.GbjHypericPluginGenerator <stonename> <jmxport>

  Where <stonename> is the name of the associated stone and <jmxport> is the JMX port being used by the GbjJmxCacheStatMonitor application monitoring this stone.

  Execution of this code produces an output file with the name:

  gs_<version>_<stonename>_<jmxport>-plugin.xml.

  Where <stonename> and <jmxport> are as above and <version> is the version of the Gemstone system associated with $GEMSTONE.

  You will then need to copy this file to the appropriate $HYPERIC directories for the agent(s) and server(s) that will need to monitor and manage this GemStone environment. Refer to your Hyperic documentation for details.

  Note that different plugins will need to be generated for each stone (configured with the appropriate $GEMSTONE so that the version information is correct). Also, each separate stone will require a different GbjJmxCacheStatsMonitor application, each running on a different JMX port. For distributed GemStone environments, there will also need to be a separate GbjJmxCacheStatsMonitor for each remote shared page cache. GbjJmxCacheStatsMonitors on remote caches should all use the same JMX port as is assigned to the stone GbjJmxCacheStatsMonitor.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Execute the GbjHypericPluginGenreator program.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Execute the GbjHypericPluginGenreator program.
      Parameters:
        `args` - array of strings containing arguments
      Throws:
        `java.lang.Exception` - thrown for any problems